var respuestasAvisoStr;
var contCombo=0;

jQuery(function($){
	
	$('#activa_detail_table').rup_combo({
		source : [
		{
			label :  $.rup.i18n.app.comun.si.toUpperCase(),
			value : SI
		}, {
			label :  $.rup.i18n.app.comun.no.toUpperCase(),
			value : NO
		} ],
		width: "98%",
		ordered: false,
		open : function() {
			jQuery('#activa_detail_table-menu').width(jQuery('#activa_detail_table-button').innerWidth());
		}
	});
	
	jQuery('#tipoPregunta_detail_table').rup_combo({
		source: "/y41egGestionWar/tipoPregunta"
		,sourceParam: {
			 label:"desc"+jQuery.rup_utils.capitalizedLang()
			,value:"idTipoPregunta"
		 }
		,width: "98%"
		,rowStriping: true
		,ordered: false
		,open: function(){
			jQuery('#tipoPregunta_detail_table-menu').width(jQuery('#tipoPregunta_detail_table-button').innerWidth());
		}
		,change: function(){
			if(contCombo!=0){
				respuestasAvisoStr="";
				jQuery('#respuestasAvisoId').val("");
			}
			if($("#tipoPregunta_detail_table").val()==TIPO_RESPUESTA_TEXTO){
				if(!jQuery("#aviso_detail_table").is(':disabled')){
					jQuery("#aviso_detail_table").bootstrapSwitch('toggleDisabled');
				}
				jQuery("#aviso_detail_table").bootstrapSwitch('setState', false);
			}else{
				if(jQuery("#aviso_detail_table").is(':disabled')){
					jQuery("#aviso_detail_table").bootstrapSwitch('toggleDisabled');
				}
				jQuery("#aviso_detail_table").change();
			}
			contCombo++;

		}
	});
	
	jQuery('#respuestasAviso_detail_table').rup_combo({
		parent : [ "tipoPregunta_detail_table" ],
		source : "/y41egGestionWar/tipoRespuesta/respuestasAviso",
		sourceParam : {
			label : "desc"+ $.rup_utils.capitalizedLang(),
			value : "idTipoRespuesta"
		},
		width : "98%",
		ordered : false,
		orderedByValue: false,
		rowStriping : true,
		multiselect : true,
		open : function() {
			jQuery("#rup-multiCombo_respuestasAviso_detail_table").width(jQuery('#respuestasAviso_detail_table-button').width()+14);
		},
		onLoadSuccess: function(){
			if(isNotEmpty(respuestasAvisoStr)){
				$("#respuestasAviso_detail_table").rup_combo("select", respuestasAvisoStr.split(","));
				jQuery('#respuestasAvisoId').val(respuestasAvisoStr);
			}
		}
	});
	
	jQuery('#respuestasAviso_detail_table').on("change", function() {
		jQuery('#respuestasAvisoId').val(jQuery('#respuestasAviso_detail_table').rup_combo("getRupValue"));
	});
	
	jQuery("#obligatorio_detail_table").bootstrapSwitch().bootstrapSwitch('setSizeClass', 'switch-small')
		.bootstrapSwitch('setOnLabel', $.rup.i18n.app.comun.si.toUpperCase())
		.bootstrapSwitch('setOffLabel', $.rup.i18n.app.comun.no.toUpperCase());
	
	jQuery("#aviso_detail_table").bootstrapSwitch().bootstrapSwitch('setSizeClass', 'switch-small')
		.bootstrapSwitch('setOnLabel', $.rup.i18n.app.comun.si.toUpperCase())
		.bootstrapSwitch('setOffLabel', $.rup.i18n.app.comun.no.toUpperCase());
	
	jQuery("#aviso_detail_table").change(function(){
		if(jQuery("#aviso_detail_table").bootstrapSwitch('state') && $("#tipoPregunta_detail_table").val()!=TIPO_RESPUESTA_TEXTO){
			jQuery('#respuestasAvisoId').addClass("required");
			jQuery("#respuestasAvisoDiv").removeClass("d-none");
		}else{
			jQuery('#respuestasAvisoId').removeClass("required");
			jQuery("#respuestasAvisoDiv").addClass("d-none");
		}
	});

});